Product trade

Product metadata

https://docs.importexportapi.com/endpoints/getproduct
gethttps://api.importexportapi.com/products/{pid}

Metadata for an HS6 code ('390210', 'hs:390210') or a 2-4 digit chapter prefix.

curl -X GET "https://api.importexportapi.com/products/example" \
  -H "Authorization: Bearer sk_live_xxxxxxxxxxxxxxxxxxxx"

Authorization

Authorizationstringheaderrequired

Bearer token. API key from your importexportapi dashboard Format: `Bearer sk_live_xxxxxxxxxxxxxxxxxxxx`.

Path parameters

pidstringrequired

Response

200Successful Responseapplication/json
dataProductDetailrequired
request_idstringdefault ""
duration_msintegerdefault 0
401Missing or invalid API keyapplication/json
errorstring
messagestring
request_idstring
422Validation Errorapplication/json
detailValidationError[]
429Rate limit exceededapplication/json
errorstring
messagestring
request_idstring
Response
{
  "data": {
    "id": "id_a1b2c3d4",
    "matches": [
      {
        "hs6": "example",
        "hs_version": 0,
        "name": "Acme Corp",
        "parent_hs4": "example"
      }
    ]
  },
  "request_id": "",
  "duration_ms": 0
}